Bug 628467 - gpk should parse rpm changelog headers without a dash
gpk should parse rpm changelog headers without a dash
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: PackageKit (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-08-30 03:00 EDT by Jens Petersen
Modified: 2010-09-24 03:04 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-09-23 20:25:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jens Petersen 2010-08-30 03:00:30 EDT
Description of problem:
I hope this is not already fixed in fedora.

gpk GUI can't parse rpm changelog entries with header
lines that don't have a dash (minus: ie " - ") after
the email address.

Some developers and publican are still generating
changelog entries without a minus and causing gpk
to display a parse warning instead of changelog/update info.

gpk should really be kind enough to also parse
changelogs without the modern " - " included
they still exist in the wild.

Steps to Reproduce:
1. gpk with an updated rpm with " - " in changelog (eg publican book).
  
Actual results:
Could not parse header: 'Ryan Lerch <rlerch@redhat.com> 1', expected: 'Firstname Lastname <email@account.com> - version-release'

Expected results:
package update info/changelog etc to display normally

Additional info:
I filed bug 628464 to rfe publican use the right format.
Comment 1 Richard Hughes 2010-09-23 05:23:48 EDT
(In reply to comment #0)
> gpk should really be kind enough to also parse
> changelogs without the modern " - " included
> they still exist in the wild.

Sure, it should work fine.

> Steps to Reproduce:
> 1. gpk with an updated rpm with " - " in changelog (eg publican book).
> 
> Actual results:
> Could not parse header: 'Ryan Lerch <rlerch@redhat.com> 1', expected:
> 'Firstname Lastname <email@account.com> - version-release'

Surely it should be:

Ryan Lerch <rlerch@redhat.com> 1-1
or
Ryan Lerch <rlerch@redhat.com> - 1-1

i.e., version-release, not just the release _or_ version?

There's no way we can parse a version-release from just the version or the release on their own.

Richard.
Comment 2 Jens Petersen 2010-09-23 20:25:26 EDT
Oops indeed...

Does PK parse the ver-rel in the changelog headers
to decide how many entries to show.  Could it treat
unparsible ver-rel as none?
Comment 3 Richard Hughes 2010-09-24 03:04:06 EDT
(In reply to comment #2)
> Does PK parse the ver-rel in the changelog headers
> to decide how many entries to show.  Could it treat
> unparsible ver-rel as none?

It could, I guess. Care to submit a patch please?

Note You need to log in before you can comment on or make changes to this bug.